---
title: "Potato or Tomato"
link: https://potatoortomato.com/
creator: Kevin Lesht
creatorUrl: https://kevinlesht.com/
date: "2020-11-17T00:00:00Z"
---

On my first visit to Potato or Tomato I correctly answered the questions a few times in a row, then in my eagerness got it wrong. Honestly sometimes a site is so simple in its goal, and so perfect in its execution that it fills me with an overwhelming joy that it exists. This is definitely one of those sites!  
&nbsp;

[Kevin Lesht](https://kevinlesht.com/) ticks all my favorite boxes when it comes to a creator on the internet with projects covering the wierd, the practical, the confusing and the informative. Definitely worth a follow if you're not already :)

!SPLIT!

<div class="images has-border">
  <img src="/sites/assets/potato.jpg" />
  <img src="/sites/assets/or.jpg" />
  <img src="/sites/assets/tomato.jpg" />
</div>

!SPLIT!

**How did Tomato or Potato come to life?**

Hah - there's this segment from Jamie Oliver's Food Revolution, where he goes into a classroom and asks kids if they can identify all sorts of different fruits and vegetables.  He's trying to prove that kids today are so disconnected from fresh food that they can't even pick out the basics.  Sure enough, at one point he holds up a tomato and a kid guesses potato.  

I watched this video, and felt like it was my calling to clear up any of this misconception.  Potato or Tomato was born as a game that individuals could play to test their knowledge of potatoes and tomatoes, and if wrong, come away with the difference.  

[Here's that clip](https://www.youtube.com/watch?v=bGYs4KS_djg)  
&nbsp;

**Were there any particular challenges that popped up bringing it to life?**

Oh yea. The first release of Potato or Tomato featured a wrong guess counter that sat on the win screen. When a player guessed correctly, they'd see a message like, "You'd be surprised, 728 have guessed wrong!".

I debuted the game at a work event, and as we're all playing through, the counter spikes up to the millions. I thought I had some bug in the code, and as I'm searching around for what it could be, one of my colleagues confesses that he just hacked the site.

I was using a database to manage the counter, and hadn't locked down the access rights.  He was able to write directly to my counter, and even delete the thing.  I patched this up by removing the counter, but now that the site's getting some added attention, I think it's time to bring it back, and this time, in a secure fashion. Look for that feature on the horizon!  
&nbsp;

**Do people get potato or tomato correct/incorrect the most often.**

Well, Potato or Tomato is a data driven project, so I actually have some numbers for you!  It's kind of incredible how much traffic, and playthrough the game gets.

Over the last six months, Potato has been guessed **1,576,183** times, Tomato has been guessed **1,542,960** times, and there have been **520,893** incorrect guesses.  That looks like almost **17%** of all guesses being incorrect.  Really hoping that's mostly just individuals playing around.  
&nbsp;

**What got you into web development?**

When I was in college, I was really into skiing.  If I wasn't in the mountains, I was reading up on ski related news.  I'd forward interesting articles I found to my friends, and figured I'd take that to the next level by putting together a roundup newsletter, because everyone would want to read that.

I created a little marketing site, and released the first newsletter, but never made it to the second. Building the site, I saw that as a developer you could take a raw idea and make something real out of it, and I had to have more of that.  
I shifted my attention towards learning how to code, and later that year started freelancing.  My first project was for a local business that could only barter, and paid with float tank sessions.  From there, I was off to the races.  
&nbsp;

**How long ago did you launch the site / what weirdness are you working on now?**

I think Potato or Tomato came online around late 2017, and it might just be one of my oldest sites that's still standing.  There have been quite a few projects following that one, and if anyone out there is interested in keeping up, you can find me on [Twitter](https://twitter.com/kevinlesht), where I drop each release: .

One project I'd call out though would be my [omelette blog](https://5minutesandaflip.com/). Near every day I eat an omelette, and take a picture of my work. To keep the blog up to date, I've just finished developing an automation that runs each morning and parses my recent photos for omelettes. If any are found, they're uploaded to the blog, so that my fans never miss a meal.
