---
title: "Mondrian And Me"
link: https://mondrianandme.com/
creator: Tim Holman
creatorUrl: https://tholman.com/
date: "2021-08-28T00:00:00Z"
---

This project is one of my [own](https://tholman.com), combining my love of generative art as well as useless websites, with the goal to create a small and simple place for you to click about and enjoy a little bit of art... Here's a little Q/A of my own to answer any and all questions as to the what's and why's about this project.  
&nbsp;
  
So, how did this all come about?

!SPLIT!

<div class="images has-border">
  <img src="/sites/assets/mondrian-2.jpg" />
  <img src="/sites/assets/mondrian.jpg" />
  <img src="/sites/assets/mondrian-3.jpg" />
</div>

!SPLIT!

**What is the idea behind Mondrian and Me?**

It's always funny when you decide to build something with very little purpose, of course its not completely useless, but ultimately I wanted to create a space to appreciate Piet Mondrians artistic style, while also allowing people to interact with their artwork in progress, and try to understand the small stylistic choices that went into each individual piece of art.

You can't really "undo" any lines or decisions you make, so as you decide to create more and more the artwork will get more complex, which itself is the fun.  
&nbsp;

**Why Mondrian?**

There's a few reasons for this one, first and foremost I just straight up love the art. But secondly, I have already dabbled with creating some generative art in the Piet Mondrian style, with a tutorial system that I had built out, called "tutorial markdown", whereby as you scroll through the tutorial some code will update and you will see a live version of what you're working on. You can check out the [tutorial here.](https://generativeartistry.com/tutorials/piet-mondrian/)  
&nbsp;

**How was this site made, and why this url?**

Mondrian and Me is completely static, meaning its sitting on a single `html` & `js` file, it was made in a 45ish minute period which I recorded as an experiment into making things on stream. The quality of the video is pretty bad, if I'm honest, and a few future video's have got a lot better quality wise. That said, you can check out the [video here.](https://www.youtube.com/watch?v=ZZ1Rkgbdwqc)  
&nbsp;

{{< youtube ZZ1Rkgbdwqc >}}  
&nbsp;  

There were a lot of small lessons recording this, primarily learning that keeping a stream of conciousness while still creating can be very tricky, especially if something goes wrong and you're trying to figure it out while people are watching or asking questions.  
&nbsp;

**Are there any more changes to come?**

For this website, I don't think so, it's a nice clear cut build with a fun artsy back-story, that said, I'm working on a few more small "build in an hour" style sites, and also have a few little games in mind that could also be fun within this model... as with all things, it just takes time to get them out of my brain and onto the page. That said, you can follow my [blog](https://tholman.com), which will be the first thing to get updates as they come.
