---
title: "Long Doge Challenge"
link: https://longdogechallenge.com/
creator: Tim Holman
creatorUrl: https://tholman.com/
date: "2021-10-18T00:00:00Z"
---

When I was building this site, I wanted to combine the idea of complete uselessness with the idea of absolute and complete time-wasting, as in, you could play this challenge for 3 hours and get into a tangle of a mess and come up none the wealthier, wiser or really anything positive... outside of bragging rights of course.

!SPLIT!

<div class="images has-border">
  <img src="/sites/assets/doge-1.jpg" />
  <img src="/sites/assets/doge-3.jpg" />
  <img src="/sites/assets/doge-2.jpg" />
</div>

!SPLIT!

**So, what were you thinking?**

Not a whole lot if I'm to be honest. I wanted doge, as doge is eternal, but I'll admit I looked at a bunch of other ASCII art before that. It's not too tricky to tell that the site is modeled off and inspired by [The Endless Horse](http://endless.horse/) (though not nearly as cool of a domain) which is one of my useless web favorites -- As well as one of the first people I interviewed when creating this [series](https://theuselessweb.com/sites/endless-horse/). I also wanted some slight gamification, as though you're going to drag on and on forever. Also a true challenge. It's a good grab bag of motivations.  
&nbsp;

**So how long does this challenge take?**

A long long time. There are multiple steps that are easy to mess up, though I've made it a little easier recently, first and foremost you need to get 10-15 large "wows", which appear very randomly (a very small chance for every regular "wow" you get)... After that, you'll need to click specific wow's (prime numbers starting from the top) to make them rainbow wows.

If you've rainbowed every prime number, you'll unlock the next stage. I've seen a lot of videos of people collecting wows, but honestly never anyone past this part. I'm going to put together a video of how to complete the challenge... Will link it here if anyone gets past the prime section! The instructions are definitely a little obtuse, but with a little trial and error you can definitely figure them out!  
&nbsp;

**How did you make it?**

This one is straight-up static `html`, `js` and `css`... I recorded the initial build on Twitch and YouTube, so you can see the initial structure of the infinitely long head... or I guess neck in this case. I opted for infinite because there's no really good ASCII body. Someone has sent a few from other dogs being converted into the style, but it doesn't fit. 

That said, after the video, I spent another 5-6 hours making a complicated and confusing maze of troubles to complete. It got so tricky at a time that I needed to make a few shortcuts for myself so I could test that it could actually be completed!  
&nbsp;

{{< youtube Iksq8oaebMw >}}  
&nbsp;  

Truly it's hard and long. If you're VERY careful it can be quick.  

&nbsp;  
**Any future plans for the site?**

It's tricky to see, honestly, I'd love to build a leaderboard and things like that, but I really need people to finish the challenge first. And I'm not willing to compromise on the length and pain of the challenge. I guess there are some tips that I'd offer off, of course, if you make your screen smaller you'll have a clearer more visible area to see the individual "wows".
